Name:       batterymonitor-plugins
Summary:    Battery-Monitor plugins
Version:    0.1
Release:    1
Group:      Service/Battery
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1001: %{name}.manifest

BuildRequires:  cmake
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libtzplatform-config)

Requires(post):  /sbin/ldconfig
Requires(postun):  /sbin/ldconfig

%define BATTERY_MONITOR_LIBDIR %{_libdir}/batterymonitor/plugins

%description
Battery-Monitor plugins

%package cpu
Summary:  Battery-Monitor CPU plugin
BuildRequires:  pkgconfig(capi-appfw-app-manager)
BuildRequires:  pkgconfig(capi-system-runtime-info)
BuildRequires:  pkgconfig(sqlite3)

%description cpu
CPU plugin for Battery-Monitor

%package dummy
Summary:  Battery-Monitor dummy plugin

%description dummy
Dummy plugin for Battery-Monitor

%prep
%setup -q
cp %{SOURCE1001} .

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
cmake .	\
	-DFULLVER=%{version}	\
	-DMAJORVER=${MAJORVER}	\
	-DBATTERY_MONITOR_LIBDIR=%{BATTERY_MONITOR_LIBDIR}

make %{?jobs:-j%jobs}

%install
mkdir -p %{buildroot}%{BATTERY_MONITOR_LIBDIR}
%make_install


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files cpu
%manifest %{name}.manifest
%license LICENSE
%{BATTERY_MONITOR_LIBDIR}/lib%{name}-cpu*

%files dummy
%manifest %{name}.manifest
%license LICENSE
%{BATTERY_MONITOR_LIBDIR}/lib%{name}-dummy*
